7.1升级到8.1后,内核gcc和当前gcc版本不一致问题!!!

系统安装、升级讨论
回复
flyinsky10
帖子: 13
注册时间: 2008-12-16 16:50
送出感谢: 0
接收感谢: 0

7.1升级到8.1后,内核gcc和当前gcc版本不一致问题!!!

#1

帖子 flyinsky10 » 2008-12-24 10:16

今天,在vmware6 中,ubuntu7.1升级到ubuntu 8.04 alternate
升级好以后,重新安装vmware tools
打开执行 cd vmware-tools-distrib/
sudo ./vmware-install.pl

遇到如下问题

内核使用 gcc 4.2.3 编译 ,现在 gcc -4.2.4 确定编译?
yes 接着就模块出错

在网上看了看,有三种建议:

1 降低当前gcc-4.2.4版本到gcc-4.2.3

2 重新下载内核源码进行编译

3 下载与内核版本一直的内核头文件

我是一个新手,这三种方法都不知道具体怎么做,请哪位高手帮忙给点详细的解答!!请 指教,谢谢
头像
HuntXu
论坛版主
帖子: 5776
注册时间: 2007-09-29 3:09
送出感谢: 0
接收感谢: 6 次

Re: 7.1升级到8.1后,内核gcc和当前gcc版本不一致问题!!!

#2

帖子 HuntXu » 2008-12-24 10:46

3 下载与内核版本一直的内核头文件
HUNT Unfortunately No Talent...
flyinsky10
帖子: 13
注册时间: 2008-12-16 16:50
送出感谢: 0
接收感谢: 0

Re: 7.1升级到8.1后,内核gcc和当前gcc版本不一致问题!!!

#3

帖子 flyinsky10 » 2008-12-24 10:55

楼上的说明白一点啊,从哪里怎样下载与内核版本一直的头文件啊?
头像
HuntXu
论坛版主
帖子: 5776
注册时间: 2007-09-29 3:09
送出感谢: 0
接收感谢: 6 次

Re: 7.1升级到8.1后,内核gcc和当前gcc版本不一致问题!!!

#4

帖子 HuntXu » 2008-12-24 10:59

新立得搜kernel header...
HUNT Unfortunately No Talent...
flyinsky10
帖子: 13
注册时间: 2008-12-16 16:50
送出感谢: 0
接收感谢: 0

Re: 7.1升级到8.1后,内核gcc和当前gcc版本不一致问题!!!

#5

帖子 flyinsky10 » 2008-12-24 13:03

楼上的同志,我照你说的做了,在新立得里用kernel header搜索,把搜到的所有header文件全部选上下载,问题依旧啊!!
现象还是如此:

打开执行 cd vmware-tools-distrib/
sudo ./vmware-install.pl

遇到如下问题

内核使用 gcc 4.2.3 编译 ,现在 gcc -4.2.4 确定编译?
yes 接着就模块出错

还有其他解决的办法吗?
flyinsky10
帖子: 13
注册时间: 2008-12-16 16:50
送出感谢: 0
接收感谢: 0

升级到8.1后,内核gcc和当前gcc版本不一致问题!!!

#6

帖子 flyinsky10 » 2008-12-24 15:54

谁能解答一下?
回复

回到 “系统安装和升级”